%global debug_package %{nil}

Name:           lv2core
Version:        3.0
Release:        3%{?dist}

Summary:        Audio Plugin Standard

Group:          System Environment/Libraries
License:        LGPLv2+ and MIT
URL:            http://lv2plug.in
Source:         http://lv2plug.in/spec/lv2core-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python

%description
LV2 is a standard for plugins and matching host applications, mainly
targeted at audio processing and generation.  

There are a large number of open source and free software synthesis
packages in use or development at this time. This API ('LV2') attempts
to give programmers the ability to write simple 'plugin' audio
processors in C/C++ and link them dynamically ('plug') into a range of
these packages ('hosts').  It should be possible for any host and any
plugin to communicate completely through this interface.

LV2 is a successor to LADSPA, created to address the limitations of
LADSPA which many hosts have outgrown.

%package        devel
Summary:        API for the LV2 Audio Plugin Standard
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
lv2-devel contains the lv2.h header file.

Definitive technical documentation on LV2 plug-ins for both the host
and plug-in is contained within copious comments within the lv2.h
header file.

%prep
%setup -q
# Fix multilib issue
sed -i 's|/lib|/%{_lib}|' autowaf.py

%build
./waf configure --prefix=%{_prefix} --libdir=%{_libdir}/
./waf %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT ./waf install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/lv2

%files devel
%defattr(-,root,root,-)
%{_includedir}/lv2.h
%{_libdir}/pkgconfig/lv2core.pc

%changelog
* Wed Apr 08 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 3.0-3
- Add Requires: pkgconfig to the -devel subpackage.

* Mon Mar 30 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 3.0-2
- Add BR: python

* Mon Mar 30 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 3.0-1
- Update to 3.0

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 22 2008 Anthony Green <green@redhat.com> - 2.0-4
- Fix tagging bug.

* Fri Dec 19 2008 Anthony Green <green@redhat.com> - 2.0-3
- Tweak %%files section, License, Summary and %%description.

* Mon Nov 10 2008 Anthony Green <green@redhat.com> - 2.0-2
- Don't generate a debug package.

* Tue Nov 04 2008 Anthony Green <green@redhat.com> - 2.0-1
- Upgrade

* Tue Jan 22 2008 Anthony Green <green@redhat.com> - 1.0-2
- Fix License tag.

* Mon Jan 21 2008 Anthony Green <green@redhat.com> - 1.0-1
- Upgraded source.

* Thu Mar 15 2007 Anthony Green <green@redhat.com> - 1.0-0.1.beta1
- Created.

